import { jsx } from "react/jsx-runtime";
import { TokenATM as TokenATM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenATM = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "ATM", "data-name": "TokenATM", ...props, children: /* @__PURE__ */ jsx(TokenATM$1, { variant }) });
  }
);
TokenATM.displayName = "TokenATM";
Object.assign(TokenATM, { isGdsIcon: true });
export {
  TokenATM
};
